> ## Documentation Index
> Fetch the complete documentation index at: https://kaoribot.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Text to Speech

> Generate speech audio using TikTok TTS



## OpenAPI

````yaml openapi.json post /v1/utils/tts
openapi: 3.1.0
info:
  title: KaoriBot API
  description: >-
    KaoriBot API. If you do face any issue, let us know on our [Discord
    server](https://discord.gg/)
  version: v1.4.0
servers:
  - url: https://api-kaori.mikabot.xyz
    description: Production
security:
  - bearerAuth: []
tags:
  - name: Filters
    description: Image filtering operations (Blur, Invert, etc.)
  - name: Overlays
    description: Image overlay operations (Gay, Wanted, etc.)
  - name: Debug
    description: System health and debugging utility endpoints
  - name: Generators
    description: Meme generator operations (3000 years, etc.)
  - name: Texts
    description: Text operations (Questions, etc.)
  - name: Utils
    description: Utility endpoints
paths:
  /v1/utils/tts:
    post:
      tags:
        - Utils
      summary: Text to Speech
      description: Generate speech audio using TikTok TTS
      operationId: tts
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - text
                - speakerId
              properties:
                text:
                  description: Text to convert to speech
                  type: string
                speakerId:
                  description: Speaker ID
                  type: string
                output_format:
                  type: string
                  enum:
                    - base64
                    - binary
          application/x-www-form-urlencoded:
            schema:
              type: object
              required:
                - text
                - speakerId
              properties:
                text:
                  description: Text to convert to speech
                  type: string
                speakerId:
                  description: Speaker ID
                  type: string
                output_format:
                  type: string
                  enum:
                    - base64
                    - binary
          multipart/form-data:
            schema:
              type: object
              required:
                - text
                - speakerId
              properties:
                text:
                  description: Text to convert to speech
                  type: string
                speakerId:
                  description: Speaker ID
                  type: string
                output_format:
                  type: string
                  enum:
                    - base64
                    - binary
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: 'Authorization: Bearer sk_kaori_*'

````